SystemOrganization addCategory: #'PharoBot-Core-Tests'!

TestCase subclass: #BateriaTest
	instanceVariableNames: 'bateria'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharoBot-Core-Tests'!

!BateriaTest methodsFor: 'porcentaje' stamp: 'NahuelGarbezza 8/20/2012 15:08'!
testPorcentajeCargaAMenosDel100PorCiento

	bateria := Bateria new.
	
	bateria consumir: 500.
	self assert: 50 equals: bateria porcentajeCarga.
	bateria consumir: 200.
	self assert: 30 equals: bateria porcentajeCarga.! !

!BateriaTest methodsFor: 'porcentaje' stamp: 'NahuelGarbezza 8/20/2012 15:10'!
testPorcentajeCargaAl0PorCiento

	bateria := Bateria new.
	
	bateria consumir: bateria cargaMaxima.
	self assert: 0 equals: bateria porcentajeCarga.! !

!BateriaTest methodsFor: 'porcentaje' stamp: 'NahuelGarbezza 8/20/2012 14:59'!
testPorcentajeCargaAl100PorCiento

	bateria := Bateria new.
	self assert: 100 equals: bateria porcentajeCarga.! !
